> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepreel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Audio

> Generate Audio from text



## OpenAPI

````yaml post /project/assets/generate_audio_from_text/
openapi: 3.0.3
info:
  title: DeepReel API Documentation (latest)
  version: 1.0.0
  description: DeepReel API OpenApi Specification
  x-logo:
    url: /icons/deepreel-logo-main.png
servers: []
security: []
paths:
  /project/assets/generate_audio_from_text/:
    post:
      tags:
        - project
      description: Generate Audio from text.
      operationId: Create an Audio
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateAudioRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateAudioResponse'
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    nullable: false
                    description: Text of the error message.
                  detail:
                    type: object
                    nullable: true
                    description: Detail of the error message.
          description: ''
      security:
        - apiKeyAuth: []
components:
  schemas:
    GenerateAudioRequest:
      type: object
      properties:
        slate_script:
          type: array
          items:
            $ref: '#/components/schemas/NodeParagraph'
        voice_id:
          type: string
          format: uuid
          description: The voice to be used to generate the audio
        language_id:
          type: integer
          default: 94
          description: >-
            Language used to generate the audio. Language Id for `English -
            Default (en-us)` is `94`
        stability:
          type: number
          format: double
          maximum: 1
          minimum: 0
          default: 0.5
          description: >-
            This controls the level of variation in generated audio.            
            Low stability will increase expressiveness of speech while
            high             stability will lower expressiveness but increase
            the predictability of how the script is spoken.
        style_exaggeration:
          type: number
          format: double
          maximum: 1
          minimum: 0
          default: 0
          description: >-
            Level of exaggeration of the speaking style. Available only for
            custom voices.             Higher values will make increase
            similarity of cloned voice but may cause the audio to be less
            stable.
      required:
        - slate_script
        - voice_id
    GenerateAudioResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Id of the generated audio.
        download_url:
          type: string
          format: uri
          description: >-
            URL to download the audio.                                        
            _Note: URL will we valid for 60 minutes only._
      required:
        - download_url
        - id
    NodeParagraph:
      type: object
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/NodeParagraphTypeEnum'
          readOnly: true
        children:
          type: array
          items:
            $ref: '#/components/schemas/NodeChild'
      required:
        - children
        - type
    NodeParagraphTypeEnum:
      enum:
        - paragraph
      type: string
      description: '* `paragraph` - paragraph'
    NodeChild:
      oneOf:
        - $ref: '#/components/schemas/NodeText'
        - $ref: '#/components/schemas/NodeTag'
    NodeText:
      type: object
      properties:
        text:
          type: string
        speedValue:
          type: integer
          readOnly: true
        volumeValue:
          type: string
          readOnly: true
        pitchValue:
          type: string
          readOnly: true
        customPronounciation:
          type: string
          readOnly: true
      required:
        - customPronounciation
        - pitchValue
        - speedValue
        - text
        - volumeValue
    NodeTag:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/NodeTagTypeEnum'
        value:
          type: string
      required:
        - type
        - value
    NodeTagTypeEnum:
      enum:
        - pause
        - variable
      type: string
      description: |-
        * `pause` - pause
        * `variable` - variable
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your API key with the prefix: `dr_`. This is required by all endpoints
        to access our API programatically.                             You can
        view your API Key by navigating to the account settings panel (In the
        bottom left corner click on your                             `Account` →
        `profile`)

````